# libusb-devel with m4
# libsysfs
%define pre %nil
Name: libchipcard2
Version: 2.1.3
Release: alt0.1%pre

Summary: A library for easy access to smart cards (chipcards)

License: LGPL
Group: System/Libraries
Url: http://www.libchipcard.de/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sourceforge.net/libchipcard/%name-%version%pre.tar.bz2
Source1: %name.init

Patch0: %name-etc.patch
Patch1: %name-am18.patch

# manually removed: gcc-g77 gnustep-base libg2c-devel libobjc-lf2 sope-appserver
# Automatically added by buildreq on Mon May 01 2006
BuildRequires: gcc-c++ glibc-devel libgwenhywfar-devel libsysfs-devel libusb-devel pkg-config

BuildRequires: rpm-build-compat

%description
LibChipCard allows easy access to smart cards. It provides basic
access to memory and processor cards and has special support for
German medical cards, German "Geldkarten" and HBCI (homebanking) cards
(both type 0 and type 1). It accesses the readers via CTAPI or PC/SC
interfaces and has successfully been tested with Towitoko, Kobil and
Reiner-SCT readers.

%package devel
Summary: Header files for LibChipCard
Group: Development/Other
Requires: %name = %version

%description devel
This package contains libchipcard-config and header files for writing
programs using LibChipCard.

%package tools
Summary: Terminal tools and daemons for LibChipCard
License: GPL
Group: Communications
Requires: %name = %version

%description tools
This package contains the terminal tools and daemons for LibChipCard.
The most important daemon here is chipcardd which is needed to access
local card readers.

%prep
%setup -q -n %name-%version%pre
#%patch0 -p1
#%patch1 -p1

%build
#%__autoreconf
%configure \
	--with-pid-dir=/var/run \
	--disable-static

make

%install
install -d %buildroot%_initdir

%make_install install DESTDIR=%buildroot

install %SOURCE1 %buildroot%_initdir/chipcardd
#install example/chipcardc.conf %buildroot%_sysconfdir
#install example/chipcardd.conf %buildroot%_sysconfdir

#rm -f doc/html/{Makefile*,pics/Makefile*}
rm -rf %buildroot%_datadir/locale/de

%find_lang %name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post tools
%post_service chipcardd

%preun tools
%preun_service chipcardd

%files
# COPYING contains only summary, note *GPL texts themselves
%doc AUTHORS COPYING ChangeLog README* TODO
%_libdir/*.so.*
#%_datadir/libchipcard
%_sysconfdir/chipcard2-server/
%_sysconfdir/chipcard2-client/
%_libdir/chipcard2-server/
%_libdir/gwenhywfar/plugins/*
#%config(noreplace) %verify(not md5 mtime size) %_sysconfdir/chipcardc.conf
#%_man5dir/libchipcard.conf.5*
#%_man5dir/chipcardc.conf.5*

%files devel
#%doc doc/*.txt doc/html/*
#%attr(755,root,root) %_bindir/libchipcard-config
%_libdir/*.so
#%_libdir/libchipcard.la
%_includedir/*
#%_includedir/chipcard/
#%_includedir/chipcard.h
#%_includedir/ctversion.h
%_aclocaldir/*
#%_man1dir/libchipcard-config.1*

%files tools -f %name.lang
%_bindir/*
%_sbindir/*
%attr(754,root,root) %_initrddir/chipcardd
#%config(noreplace) %verify(not md5 mtime size) %_sysconfdir/chipcardd.conf
#%_man1dir/*
#%_man5dir/*


%changelog
* Mon May 01 2006 Vitaly Lipatov <lav@altlinux.ru> 2.1.3-alt0.1
- new version (2.1.3)

* Sun Dec 18 2005 Vitaly Lipatov <lav@altlinux.ru> 1.9.19-alt0.1beta
- new version

* Sun Dec 18 2005 Vitaly Lipatov <lav@altlinux.ru> 0.9.1-alt0.1
- initial build for ALT Linux Sisyphus (spec from PLD)
